.TH "pyspottedunipd.ngrams.models.Markov" 3 "Thu Apr 20 2017" "Version 0.0.2" "PySpottedUnipd" \" -*- nroff -*-
.ad l
.nh
.SH NAME
pyspottedunipd.ngrams.models.Markov \- 
.SH SYNOPSIS
.br
.PP
.PP
Inherits object\&.
.SS "Public Member Functions"

.in +1c
.ti -1c
.RI "def \fB__init__\fP (self, \fBopen_file\fP)"
.br
.ti -1c
.RI "def \fBfile_to_words\fP (self)"
.br
.ti -1c
.RI "def \fBtriples\fP (self)"
.br
.ti -1c
.RI "def \fBdatabase\fP (self)"
.br
.ti -1c
.RI "def \fBgenerate_markov_text\fP (self, size=25)"
.br
.in -1c
.SS "Public Attributes"

.in +1c
.ti -1c
.RI "\fBcache\fP"
.br
.ti -1c
.RI "\fBopen_file\fP"
.br
.ti -1c
.RI "\fBwords\fP"
.br
.ti -1c
.RI "\fBword_size\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Definition at line 160 of file models\&.py\&.
.SH "Constructor & Destructor Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.Markov\&.__init__ ( self,  open_file)"

.PP
Definition at line 161 of file models\&.py\&.
.SH "Member Function Documentation"
.PP 
.SS "def pyspottedunipd\&.ngrams\&.models\&.Markov\&.database ( self)"

.PP
Definition at line 185 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.Markov\&.file_to_words ( self)"

.PP
Definition at line 168 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.Markov\&.generate_markov_text ( self,  size = \fC25\fP)"

.PP
Definition at line 193 of file models\&.py\&.
.SS "def pyspottedunipd\&.ngrams\&.models\&.Markov\&.triples ( self)"

.PP
.nf
Generates triples from the given data string. So if our string were
"What a lovely day", we"d generate (What, a, lovely) and then
(a, lovely, day).

.fi
.PP
 
.PP
Definition at line 173 of file models\&.py\&.
.SH "Member Data Documentation"
.PP 
.SS "pyspottedunipd\&.ngrams\&.models\&.Markov\&.cache"

.PP
Definition at line 162 of file models\&.py\&.
.SS "pyspottedunipd\&.ngrams\&.models\&.Markov\&.open_file"

.PP
Definition at line 163 of file models\&.py\&.
.SS "pyspottedunipd\&.ngrams\&.models\&.Markov\&.word_size"

.PP
Definition at line 165 of file models\&.py\&.
.SS "pyspottedunipd\&.ngrams\&.models\&.Markov\&.words"

.PP
Definition at line 164 of file models\&.py\&.

.SH "Author"
.PP 
Generated automatically by Doxygen for PySpottedUnipd from the source code\&.
